// t2s.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "ezsock.h"
#include "t2s.h"
#include "t2sDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CT2sApp

BEGIN_MESSAGE_MAP(CT2sApp, CWinApp)
	//{{AFX_MSG_MAP(CT2sApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CT2sApp construction

CT2sApp::CT2sApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CT2sApp object

CT2sApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CT2sApp initialization

BOOL CT2sApp::InitInstance()
{
	if (!AfxSocketInit())
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

	AfxEnableControlContainer();

	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CT2sDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
